/*****************************************************************************
 * File:	sockets.h
 *
 * Author:	Rhett "Jonzy" Jones
 *		jonzy@cc.utah.edu
 *
 * Date:	May 29, 1993
 *
 * Modifed:	May 29, 1994, by Rhett "Jonzy" Jones.
 *		Added the forward declaration to GetHostName().
 *
 * Description:	Header file for use with "sockets.c".  Simply defines a type,
 *		prototypes a few routines, and declares a variable as
 *		extern.
 *
 * Bugs:	No known bugs.
 *
 * Copyright:	Copyright 1993, 1994, University of Utah Computer Center.
 *		This source may be freely distributed as long as this copyright
 * 		notice remains intact, and is in no way used for any monetary
 * 		gain, by any institution, business, person, or persons.
 *
 ****************************************************************************/

#ifdef USEPROTOTYPES
	extern char	*GetHostName(char *hostDomainFromConf_h);
	extern void	IP2Hostname(int sockfd,char *host,char *ip);
	extern int	SetUpReadNwriter(int theSocket);
	extern void	CloseReadNwriter(void);
	extern int	ContactHost(char* theHost, int thePort);
	extern int	SendString(char *s);
	extern char	*GetString(FILE *ptr);
	extern void	TooMuchTime4Read(void);
	extern int	ListenerEstablished(int port);
	extern int	ProcessRequest(int sockfd);
#else
	extern char	*GetHostName();
	extern void	IP2Hostname();
	extern int	SetUpReadNwriter();
	extern void	CloseReadNwriter();
	extern int	ContactHost();
	extern int	SendString();
	extern char	*GetString();
	extern void	TooMuchTime4Read();
	extern int	ListenerEstablished();
	extern int	ProcessRequest();
#endif
